<template>
    <div>

        <ul v-if="error" class="alert alert-danger error">
            <li v-for="err  in error">
                {{err}}
            </li>
        </ul>
        <form autocomplete="off" @submit.prevent="login" method="post">
            <div class="form-group">
                <label for="email">E-mail</label>
                <input type="email" id="email" class="form-control" placeholder="user@example.com" v-model="email" required>
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" id="password" class="form-control" v-model="password" required>
            </div>
            <button type="submit" class="btn btn-dark">Sign in</button>
        </form>
    </div>
</template>
<script>
    export default {
        data(){
            return {
                email: null,
                password: null,
                error: null
            }
        },
        methods: {
            login(){
                var app = this
                this.$auth.login({
                    data: {
                        email: app.email,
                        password: app.password
                    },
                    success: function () {},
                    error: function (error) {
                        let $errors = error.response.data.errors;
                        app.error = []
                        if (error.response.status === 400) {
                            app.error.push(error.response.data.errors)

                        } else if (error.response.status === 422) {
                            _.forOwn($errors, function (value, key) {
                                value.forEach(function (item, key) {
                                    app.error.push(item)
                                });
                            });
                        }
                    },
                    rememberMe: true,
                    redirect: '/dashboard',
                    fetchUser: true,
                });
            },
        }
    }
</script>
